SystemOrganization addCategory: #'TP Integrador Test'!

TestCase subclass: #TPIntegradorTest
	instanceVariableNames: 'pikachu jigglypuff meganium impactrueno amago golpazo descanso canto danzaPetalo sintesis hojaAfilada placaje destructor movimientosPikachu movimientosJigglypuff movimientosMeganium movimientos unaPokebola unEntrenador ash unaMedicina unaMedicinaEspecial'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP Integrador Test'!

TPIntegradorTest class
	instanceVariableNames: 'placaje'!

TPIntegradorTest class
	instanceVariableNames: 'placaje'!

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:11'!
setUp
pikachu:=SinEntrenador new.
jigglypuff:=ConEntrenador new.
meganium:=ConEntrenador new. 

movimientosMeganium:=Set new.
movimientosPikachu:=Set new.
movimientosJigglypuff:=Set new. 

pikachu movimientos:movimientosPikachu.
meganium movimientos:movimientosMeganium.
jigglypuff movimientos:movimientosJigglypuff. 

impactrueno:= Paralisis new.
amago:=MovimientoDanino new. 
amago puntosDeDao:30. 
golpazo:=MovimientoDanino new.
golpazo puntosDeDao:80.
descanso:=MovimientoCurativo new.
descanso puntosACurar:50.
canto:=Suenio new.
destructor:=MovimientoDanino new.
destructor puntosDeDao:30.
danzaPetalo:=Confusion new.
sintesis:=MovimientoCurativo new.
sintesis puntosACurar:100.
hojaAfilada:=MovimientoDanino new.
hojaAfilada puntosDeDao:55.
placaje:=MovimientoDanino new.
placaje puntosDeDao:50. 

pikachu tusPuntosDeVidaMax:80.
pikachu tusPuntosDeVida:60.
impactrueno usosDisponibles:5.
movimientosPikachu add:impactrueno.
amago usosDisponibles:10.
movimientosPikachu add:amago.
golpazo usosDisponibles:1. 
movimientosPikachu add:golpazo.
descanso usosDisponibles:1. 
movimientosPikachu add:descanso.

jigglypuff tusPuntosDeVidaMax:100.
jigglypuff tusPuntosDeVida:30.
canto usosDisponibles:2.
movimientosJigglypuff add:canto. 
descanso usosDisponibles:5.
movimientosJigglypuff add:descanso.
destructor usosDisponibles:10.
movimientosJigglypuff add:destructor. 

meganium tusPuntosDeVidaMax: 250.
meganium tusPuntosDeVida:50.
danzaPetalo usosDisponibles:3.
movimientosMeganium add:danzaPetalo. 
sintesis usosDisponibles:4.
movimientosMeganium add:sintesis.
hojaAfilada usosDisponibles:0.
movimientosMeganium add:hojaAfilada.
placaje usosDisponibles:5.
movimientosMeganium add:placaje. 

pikachu experiencia:42050.
jigglypuff experiencia:403289.
meganium experiencia:1010042.

unaMedicina:=Medicina new.
unaMedicina cantidadQueCura:40. 

unaPokebola:=Pokebola new.
unaMedicinaEspecial:=MedicinaEspecial new. 





! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:55'!
testJigglyPuffCon0DeVidaNoPuedeLuchar
jigglypuff tusPuntosDeVida:0.
self assert:jigglypuff podesLuchar equals:false. 
! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:50'!
testJigglyPuffTiene960DeGrositud.
self assert: jigglypuff cuantaGrositudTenes equals:960.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 19:52'!
testMeganiumEsNivel7
self assert:meganium nivel equals:7. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:50'!
testMeganiumTiene2450DeGrositud
self assert: meganium cuantaGrositudTenes equals:2450. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 21:08'!
testPikachuDerrotaAJigglypuff
pikachu luchaCon:golpazo contra:jigglypuff. 
jigglypuff premiaALosGanadores. 
self assert:pikachu experiencia equals:42530. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 19:52'!
testPikachuEsNivel4
self assert: pikachu nivel equals:4.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 20:51'!
testPikachuTiene1200DeGrositud.
self assert: pikachu cuantaGrositudTenes equals:1200.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:10'!
testUsarMedicinaConJiglypuffQuedaEn70
unaMedicina aplicarEn:jigglypuff. 
self assert:jigglypuff tusPuntosDeVida equals:70. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:09'!
testUsarMedicinaConPikachuQuedaIgualAMaxHP
pikachu tusPuntosDeVida:40. 
unaMedicina aplicarEn:pikachu.
self assert:pikachu tusPuntosDeVida equals:pikachu tusPuntosDeVidaMax. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:13'!
testUsarMedicinaEspecialEnJigglypoffQuedaNormal
unaMedicinaEspecial aplicarEn:jigglypuff.
self assert:jigglypuff condicion equals:Normal. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 21:26'!
testUsarPokebolaConJiglypuffError
self should:[unaPokebola aplicarEn:jigglypuff yTelatiro:unEntrenador] raise:Error. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 22:05'!
testUsarPokebolaConPikachuEn40
pikachu tusPuntosDeVida:40.
unaPokebola aplicarEn:pikachu yTelatiro:ash. 
self assert: (pikachu esDeAlguien)entrenador equals:ash. ! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 21:31'!
testUsarPokebolaConPikachuError 
self should:[unaPokebola aplicarEn:pikachu yTelatiro:unEntrenador]raise:Error.! !

!TPIntegradorTest methodsFor: 'as yet unclassified' stamp: 'LucasGilone 10/26/2013 19:35'!
testjigglypuffEsNivel6
self assert: jigglypuff nivel equals:6. ! !
